<?php
/**
 * In this file you find functions
 *
 * @package bpmvp
 */

/**
 * Use this function in your plugin or theme to activate frontend Ajax API requests.
 * An input field with the class .bpmvp-mail will be validated before the form gets send.
 */
function bpmvp_activate_third_party() {

	// The ajax request endpoint is public now.
	add_filter( 'bpmvp_api_is_private', '__return_false' );
	add_action( 'wp_enqueue_scripts', array( BPMVP_Plugin::get_instance(), 'enqueue_frontend' ), 11 );
	add_action( 'wp_footer', array( BPMVP_Plugin::get_instance(), 'footer_styles' ) );
}
